Package org.apache.maven.scm.provider.cvslib.command.add

## Class AbstractCvsAddCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.add.AbstractAddCommand
    - - org.apache.maven.scm.provider.cvslib.command.add.AbstractCvsAddCommand

All Implemented Interfaces:
  `Command`, `CvsCommand`

Direct Known Subclasses:
  `CvsExeAddCommand`, `CvsJavaAddCommand`

    public abstract class AbstractCvsAddCommand
    extends AbstractAddCommand
    implements CvsCommand

Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AbstractCvsAddCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected ScmResult` `executeAddCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.lang.String message, boolean binary)`
`protected abstract AddScmResult` `executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl, java.util.List<ScmFile> addedFiles)`

### Methods inherited from class org.apache.maven.scm.command.add.AbstractAddCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### AbstractCvsAddCommand

    public AbstractCvsAddCommand()

### Method Detail

#### executeAddCommand

    protected ScmResult executeAddCommand​(ScmProviderRepository repo,
                                          ScmFileSet fileSet,
                                          java.lang.String message,
                                          boolean binary)
                                   throws ScmException

Specified by:
  `executeAddCommand` in class `AbstractAddCommand`
Throws:
  `ScmException`

#### executeCvsCommand

    protected abstract AddScmResult executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl,
                                                      java.util.List<ScmFile> addedFiles)
                                               throws ScmException

Throws:
  `ScmException`